#!/bin/sh

mount -t tmpfs /tmp /tmp
mount -t tmpfs /dev /dev

function makedev
{
  dev=`echo "$1" | sed 's .*/\(.*\)/dev \1 '`
  minor=`cat "$1" | sed 's .*:  '`
  major=`cat "$1" | sed 's :.*  '`
  mknod -m 600 /dev/"$dev" $2 $major $minor
}

for i in `find /sys/block -name "dev"`
do
  makedev "$i" b &&
  echo -n b
done &&
for i in `find /sys/class -name "dev"`
do
  makedev "$i" c &&
  echo -n c
done &&
echo
